/* sparkling stars */
/*******************/
@keyframes comeInOut {
    0% { transform: scale(0); }
    50% { transform: scale(1); }
    100% { transform: scale(0); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(180deg); }
}


.sparkling {
    position: relative;
    display: inline-block;
    z-index: 0;
    color: #fff;
    display: flex;
    text-align: center;
    justify-content: center;
    font-family: 'worldwideweb', englishfont;
    font-size: 12px;
    background-color: #fff;
    width: 130px;
    margin-left: auto;
    margin-right: auto;
    padding-top: 10px;
    padding-right: 8px;
    padding-bottom: 8px;
    color: #091e3e;
    border-radius: 8px;
    bottom: 10px;
    cursor:pointer;
    padding-bottom: 10px;
    box-shadow: 0 0 1px rgb(0 0 0 / 30%), 0 3px 7px rgb(0 0 0 / 30%), inset 0 1px rgba(255, 255, 255, 1), inset 0 -3px 2px rgb(226 222 222 / 25%);

}
.sparkling > span {
    z-index: -1;
    position: absolute;
    display: block;
    animation: comeInOut 700ms forwards;
}

.sparkling > span > svg {
    display: block;
    animation: spin 1000ms linear;
}
